Installing the AHM System Components
Installing the AHM Standard Components

See also

Complete Overview

Delphi 2

1. Start Delphi.

2. Select 'Install Components ...' from the Components menu.

3. Choose Add to open the Add Module dialog box. In the Add Module dialog box, choose Browse.

4. Change the type to *.dcu

5. Select the directory which contains the AHM Triton Tools and then add the following file :

           AHM Standard Components  - AHMStdReg.dcu

6. Choose OK to close the 'Install Components' dialog box and rebuild the library.

C++ Builder 1.0

1. Start C++Builder.

2. Select 'Install Components ...' from the Components menu.

3. Choose Add to open the Add Module dialog box. In the Add Module dialog box, choose Browse.

4. Change the type to *.dcu

5. Select the directory which contains the AHM Triton Tools and then add the following file :

                AHM Standard Components  - AHMStdReg.dcu

6. Choose OK to close the 'Install Components' dialog box and rebuild the library.

Delphi 3

Open the "Install packages..."-dialog.

Press ADD to add the following packages

   	        AHM Standard Components  - Standard30.dpl

Important:

Furthermore you have to add the full path (e.g. C:\AHM\Delphi3) of the AHM Triton Tools DCU files to the Delphi's library path (Library Page/Environment Options in the Tools Menu).

Alternatively the Path could be added to the system path settings.

How to add the components into your own packages

You may use this alternative to create your own package if you have problems to

install the default packages:

1. Start Delphi 3.

2. Select 'Install Component ...' from the Component- menu.

3. Decide wether you want to create a new package or use an existing by clicking on  the corresponding tab. If you select first alternative you have to specify a  name for the new package.

4. Change the type to '*.dcu'

5. Choose Browse to open the File Open dialog box. Select the directory which contains the AHM Triton Tools and then add the following files :

          	 AHM Standard Components  - AHMStdReg.dcu

6. Choose OK to close the browse dialog box and then recompile the package

C++Builder 3.0

Open the "Install packages..."-dialog.

Press ADD to add the following packages

     AHM Standard Components  - StandardC30.bpl

Important:

Furthermore you have to add the full path (e.g. C:\AHM\CB3) of the AHM Triton Tools DCU files

to the Delphi's library path (Library Page/Environment Options in the Tools Menu).

Alternatively the Path could be added to the system path settings.

How to add the components into your own packages

You may use this alternative to create your own package if you have problems to install the default packages:

1. Start C++Builder 3.0

2. Select 'Install Component ...' from the Component- menu.

3. Decide wether you want to create a new package or use an existing by clicking on  the corresponding tab. If you select first alternative you have to specify a name for the new package.

4. Change the type to '*.dcu'

5. Choose Browse to open the File Open dialog box. Select the directory which contains the AHM Triton Tools and then add the following files :

         	  AHM Standard Components  - AHMStdReg.dcu

6. Choose OK to close the browse dialog box and then recompile the package

Delphi 4

Open the "Install packages..."-dialog.

Press ADD to add the following packages

  AHM Standard Components  - Standard40.bpl

Important:

Please ensure that the path has been added to you library path.

How to add the components into your own packages

You may use this alternative to create your own package if you have problems to install the default packages:

1. Start Delphi 4.

2. Select 'Install Component ...' from the Component- menu.

3. Decide wether you want to create a new package or use an existing by clicking on the corresponding tab. If you select first alternative you have to specify a name for the new package.

4. Change the type to '*.dcu'

5. Choose Browse to open the File Open dialog box. Select the directory which contains the AHM Triton Tools and then add the following files :

        	  AHM Standard Components  - AHMStdReg.dcu

6. Choose OK to close the browse dialog box and then recompile the package

Installing the Helpfile

-	Copy all Files in the AHM Standard Components Help Directory into the Delphi Help Directory

-	Edit the following Files from the Delphi Help Directory

-	Open Delphi3.cfg/Delphi4.cfg in a Texteditor

-	Add the following Lines as under Third Party Help

   :Link ahmstandard.hlp

-	Open Delphi3.cnt/Delphi4.cnt

-	Add the following line as the third line in the file

   :Index AHM Standard Triton 98 =ahmstandard.hlp

-	Add the following line as the last line in the file

   :Include ahmstandard.cnt


Copyright
Copyright Information

See also

Complete Overview

The AHM Components are shareware even in the event of you being a registered User. This means:

All copyrights to the AHM Components are exclusively owned by the author - Alexander Mehlhorn (AHM).

Anyone may use this software during the Trialperiod until they expire. Following this test period  if you wish to continue to use the AHM Components you must register.

Once registered, the user is granted a non-exclusive license to use AHM Components on one computer (i.e. a single cpu) for the building of Applications.  The registered AHM Components may not be rented, sold, leased or permanently transferred.

The AHM Components Trialware Version may be freely distributed, provided the distribution package is not modified. No person or company may charge a fee for the distribution of the AHM Components without written permission from the copyright holder.

To register you must follow the instructions provided for in this Helpfile.

The AHM Components are distributed "as is".  No warranty of any kind is expressed or implied.  You use them at your own risk. The author will not be liable for data loss, damages, loss of profits or any other kind of loss while using or misusing this software.

There are NO additional license fees, apart from the cost of registration, associated with the creation and distribution of software using the AHM Components. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed software version or any subset of it, except as provided for in this agreement.  Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

All rights not expressly granted here are reserved by Alexander Mehlhorn.

Installing and using the AHM Components signifies acceptance of these terms and conditions of the license.

If you do not agree with the terms of this license you must remove all files from your storage devices and cease to use the product.

Any Internet Site and their registered owners distributing registered versions of the AHM Components will be prosecuted to the fullest extend possible under the copyright law.

Any persons violating the shareware principle will be prosecuted under the fullest extend of the law.

Any people writing up different agreements for this software without the authors permission will be prosecuted to the fullest extend of the law.


Registering the AHM System Components
Registering the AHM Standard Components

See also

Complete Overview

I was hoping you would come here . Well I put my ear around and have come up with the following price after speaking to a couple of people around.

The version without Source : $39

The version with Source      : $99

Where to obtain it ? Go to http://www.ahm.co.za for Online Registration.
For upgrades for VEnhanced97 in 1998 and only to Triton98 Components feel free to contact me by e-mail and after I have certified that you are a registered user I will just mail you the new version if it is available. Please ensure that you supply the exact version number you are using when asking for an upgrade so I know what you will be getting yourself into.

You don’t have a credit card ? Well send me some mail and I will send you my Bank details or my Postal Address for any other way that you might prefer. Not satisfied ? Well then tell me so and I will look into what else I can do but for now that is all I can offer for something that hopefully will let your clients go : "Ohhh how did you do that ?"


About AHM and his Software

See also

Complete Overview

Well what am I supposed to tell you about me ? That I am under full time employment at Levi Strauss and this is only my part time hobby/job ? That I have been developing Delphi Software since right of the beginning of Delphi's first release ? That the AHM Triton Tools are also developed by me ? No, lets not go into that Detail. If you want to know more visit my homepage. No, I think you know most of it  and all I should say is the following :

Come visit my Homepage and get some of the other great tools for the best development evironment around - Delphi !

Alexander Mehlhorn (AHM)
Developer of the AHM Add-Ons for Delphi and C++ Builder
Contact me at :
URL : South Africa : http://www.ahm.co.za

URL : Germany : http://www.webset.de/software/ahm
Mail : support@ahm.co.za

Phone : +27837616139
You are welcome to contact me in regards to any questions, ideas or problems you might have.


Complete Overview
AHM Standard Components

Installing the components and configuring the context-sensitive Help

Copyright Information

Register Information and Price Details

About the Author and Whatever else

Overview of all Units

Overview of all Classes and Components

Overview of all Types, Records and Events


Units Overview

See also

Complete Overview

Description

All Units used

Units

AHMTVersionLabel Unit

AHMTAnimator Unit

AHMTAutoStores Unit

AHMTClipboard Unit

AHMTColorCombo Unit

AHMTCommandLabel Unit

AHMTDBAscii Unit

AHMTDBCommandLabel Unit

AHMTDBIndexLookup Unit

AHMTDBLookupEdit Unit

AHMTDBOfficeEdit Unit

AHMTDBSpinEdit Unit

AHMTDBStickyLabel Unit

AHMTExplorerTree Unit

AHMTExplorerView Unit

AHMTFileCtrls Unit

AHMTFileLabel Unit

AHMTFileLookup Unit

AHMTFolderLookup Unit

AHMTFontControls Unit

AHMTFormDivider Unit

AHMTIconCtrls Unit

AHMTInformationLabel Unit

AHMTLanguageCombo Unit

AHMTLookupEdit Unit

AHMTLookupMenu Unit

AHMTOfficeEdit Unit

AHMTPrinterCombo Unit

AHMTRealSpinEdit Unit

AHMTSpinEdit Unit

AHMTStickyLabel Unit

AHMSControls Unit


Overview of all Classes and Components

See also

Complete Overview

Description

Overview of all Classes and Components

Classes and Components

TAHMVersionLabel

TAHMAnimator

TAHMRegistry

TAHMIniFile

TAHMDataStore

TAHMControlStore

TAHMStoreEdit

TAHMStoreCheckbox

TAHMStoreRadioButton

TAHMStoreCombobox

TAHMStoreMemo

TAHMClipboard

TAHMColorCombo

TAHMCommandLabel

TAHMADField

TAHMADFields

TAHMDBAscii

TAHMDBCommandLabel

TAHMIndexDataLink

TAHMDBIndexLookup

TAHMDBLookupedit

TAHMDBOfficeEdit

TAHMDBCustomSpinEdit

TAHMDBSpinEdit

TAHMDBStickyLabel

TAHMExplorerTree

TAHMExplorerView

TAHMFileCombo

TAHMFolderListbox

TAHMDriveCombo

TAHMFileLabel

TAHMFileLookup

TAHMFolderLookup

TAHMFontBox

TAHMFontCombo

TAHMFormDivider

TAHMIconCombo

TAHMIconListbox

TAHMInformationLabel

TAHMLanguageCombo

TAHMCustomLookupEdit

TAHMLookupEdit

TAHMButtonClass

TAHMLookupMenu

TAHMOfficeEdit

TAHMPrinterCombo

TAHMRealSpinEdit

TAHMCustomSpinEdit

TAHMSpinButton

TAHMSpinEdit

TAHMStickyLabel


Types, Variables and Constants Overview

See also

Complete Overview

Description

Types, Variables and Constants Overview

Types, Records and Events

TAHMVersionRes Type

TAHMState Type

TAHMOnComplete Event Type

TAHMRootKey Type

TAHMDatatype Type

TAHMClipFormat Type

TAHMOnSelectColor Event Type

TAHMColorEntry Record Type

TAHMCommand Type

TAHMImportExportEvent Event Type

TAHMDBCommand Type

TAHMDBDisplayType Type

TAHMPosition Type

TAHMAddFileEvent Event Type

TAHMFindDirectoryEvent Event Type

TAHMPathChange Event Type

TAHMRoots Type

TAHMInfoFlags Type

TAHMInfoFlagSet Type

TAHMFontTypes Type

TAHMFontBits Type

TAHMFilterOption Type

TAHMFilterOptions Type

TAHMOnFontValidate Event Type

TAHMDivBorder Type

TROInfo Type

TAHMInformation Type

TAHMButtonState Type

TAHMSpinButtonState Type

TAHMPosition Type


AHMTVersionLabel Unit

Uses

Windows,  Messages,  SysUtils,  Classes,  Graphics,  StdCtrls, AHMSControls

See also

Units Overview

Types, Records and Events

  TAHMVersionRes

Classes and Components

  TAHMVersionLabel


AHMTAnimator Unit

Uses

Windows,  Sysutils, Classes, Controls,  AHMSControls

See also

Units Overview

Types, Records and Events

  TAHMState

Classes and Components

  TAHMAnimator


AHMTAutoStores Unit

Uses

SysUtils,  Windows,  Messages,  Classes, Dialogs, Inifiles, Registry, AHMSControls, StdCtrls, ComCtrls

See also

Units Overview

Types, Records and Events

  TAHMRootKey

  TAHMDatatype

Classes and Components

  TAHMRegistry

  TAHMIniFile

  TAHMDataStore

  TAHMControlStore

  TAHMStoreEdit

  TAHMStoreCheckbox

  TAHMStoreRadioButton

  TAHMStoreCombobox

  TAHMStoreMemo


AHMTClipboard Unit

Uses

 Windows, SysUtils,  Messages,  Classes,  Graphics,  Controls, Clipbrd,  Forms,  StdCtrls,  ExtCtrls,  Menus, AHMSControls

See also

Units Overview

Types, Records and Events

  TAHMClipFormat

Classes and Components

  TAHMClipboard


AHMTColorCombo Unit

Uses

SysUtils,  Windows,  Messages,  Classes,  Graphics,  Controls, StdCtrls, AHMSControls

See also

Units Overview

Types, Records and Events

  TAHMOnSelectColor

Classes and Components

  TAHMColorCombo

  TAHMColorEntry


AHMTCommandLabel Unit

Uses

Windows, Messages, Classes, Forms, StdCtrls, ShellAPI, Graphics, Controls, AHMSControls

See also

Units Overview

Types, Records and Events

  TAHMCommand

Classes and Components

  TAHMCommandLabel


AHMTDBAscii Unit

Uses

Windows,  Messages,  SysUtils,  Classes,  Graphics,  Controls,  Forms,  Dialogs, StdCtrls,  Buttons, DB, DBCtrls, AHMSControls, DBTables

See also

Units Overview

Types, Records and Events

  TAHMImportExportEvent

Classes and Components

  TAHMADField

  TAHMADFields

  TAHMDBAscii


AHMTDBCommandLabel Unit

Uses

Windows, Messages, Classes, Forms, StdCtrls, ShellAPI, Graphics, Controls, DB, DBCtrls, AHMSControls

See also

Units Overview

Types, Records and Events

  TAHMDBCommand

Classes and Components

  TAHMDBCommandLabel


AHMTDBIndexLookup Unit

Uses

 SysUtils,  Windows,  Messages,  Classes,  Controls, StdCtrls,  DB,  DBTables, AHMSControls

See also

Units Overview

Types, Records and Events

  TAHMDBDisplayType

Classes and Components

  TAHMIndexDataLink

  TAHMDBIndexLookup


AHMTDBLookupEdit Unit

Uses

 Windows,  Classes, Controls,  Messages,  AHMSControls, DB, DBTables, DBCtrls, AHMTLookupEdit

See also

Units Overview

Classes and Components

  TAHMDBLookupedit


AHMTDBOfficeEdit Unit

Uses

Windows,  Messages,  SysUtils,  Classes,  Graphics,  Controls,  Forms,  Dialogs, StdCtrls, DBCtrls, AHMSControls

See also

Units Overview

Classes and Components

  TAHMDBOfficeEdit


AHMTDBSpinEdit Unit

Uses

Windows,  Messages,  SysUtils,  Classes,  Graphics, Controls, DBCtrls, DB, AHMTSpinEdit, AHMSControls

See also

Units Overview

Classes and Components

  TAHMDBCustomSpinEdit

  TAHMDBSpinEdit


AHMTDBStickyLabel Unit

Uses

Classes, StdCtrls, Controls, Messages, Forms, Dialogs, Windows, DB, DBCtrls, AHMSControls

See also

Units Overview

Types, Records and Events

  TAHMPosition

Classes and Components

  TAHMDBStickyLabel


AHMTExplorerTree Unit

Uses

Windows,  Messages,  SysUtils,  Classes,  Controls, ComCtrls, AHMSControls, ShellApi, Forms

See also

Units Overview

Types, Records and Events

  TAHMAddFileEvent

  TAHMFindDirectoryEvent

Classes and Components

  TAHMExplorerTree


AHMTExplorerView Unit

Uses

 SysUtils,  Windows,  Messages,  Classes,  Graphics,  Controls, Forms,  Dialogs,  StdCtrls,  Menus, Registry, AHMSControls

See also

Units Overview

Classes and Components

  TAHMExplorerView


AHMTFileCtrls Unit

Uses

Windows,  Messages,  SysUtils,  Classes,  Graphics,  Controls,  Forms, StdCtrls, FileCtrl, AHMSControls

See also

Units Overview

Classes and Components

  TAHMFileCombo

  TAHMFolderListbox

  TAHMDriveCombo


AHMTFileLabel Unit

Uses

SysUtils,  Windows,  Controls, Dialogs, AHMSControls, Classes,  Graphics,  Menus, StdCtrls

See also

Units Overview

Classes and Components

  TAHMFileLabel


AHMTFileLookup Unit

Uses

Windows,  Messages,  SysUtils,  Classes,  Graphics,  Controls,  Forms,  Dialogs, StdCtrls,  Mask,  AHMTLookupEdit, AHMSControls

See also

Units Overview

Classes and Components

  TAHMFileLookup


AHMTFolderLookup Unit

Uses

Windows,  Messages,  Classes,  Forms,  Dialogs,  SysUtils,  Shlobj,  Controls, Graphics, ShellAPI, AHMTLookupEdit, AHMSControls

See also

Units Overview

Types, Records and Events

  TAHMPathChange

  TAHMRoots

  TAHMInfoFlags

  TAHMInfoFlagSet

Classes and Components

  TAHMFolderLookup


AHMTFontControls Unit

Uses

Windows,  Messages,  Classes,  Graphics,  Controls,  StdCtrls, AHMSControls

See also

Units Overview

Types, Records and Events

  TAHMFontTypes

  TAHMFontBits

  TAHMFilterOption

  TAHMFilterOptions

  TAHMOnFontValidate

Classes and Components

  TAHMFontBox

  TAHMFontCombo


AHMTFormDivider Unit

Uses

Windows,  Messages,  SysUtils,  Classes,  Graphics,  StdCtrls, AHMSControls, Controls

See also

Units Overview

Types, Records and Events

  TAHMDivBorder

Classes and Components

  TAHMFormDivider


AHMTIconCtrls Unit

Uses

 Windows, SysUtils, Forms, Controls,  Classes,  Graphics,  StdCtrls,  Menus, ShellApi,  AHMSControls, Dialogs

See also

Units Overview

Classes and Components

  TAHMIconCombo

  TAHMIconListbox


AHMTInformationLabel Unit

Uses

Windows,  Messages,  SysUtils,  Classes,  StdCtrls, AHMSControls

See also

Units Overview

Types, Records and Events

  TROInfo

  TAHMInformation

Classes and Components

  TAHMInformationLabel


AHMTLanguageCombo Unit

Uses

 Windows,  SysUtils,  Classes,  StdCtrls, AHMSControls

See also

Units Overview

Classes and Components

  TAHMLanguageCombo


AHMTLookupEdit Unit

Uses

Windows,  Messages,  SysUtils,  Controls, Classes, Mask, Menus, AHMSControls, Graphics, Buttons

See also

Units Overview

Classes and Components

  TAHMCustomLookupEdit

  TAHMLookupEdit

  TAHMButtonClass


AHMTLookupMenu Unit

Uses

Windows,  Messages,  SysUtils,  Classes,  Graphics,  Controls,  Forms,  Dialogs, Mask,  AHMTLookupEdit, AHMSControls

See also

Units Overview

Classes and Components

  TAHMLookupMenu


AHMTOfficeEdit Unit

Uses

Windows,  Messages,  SysUtils,  Classes,  Graphics, Controls, StdCtrls, AHMSControls

See also

Units Overview

Classes and Components

  TAHMOfficeEdit


AHMTPrinterCombo Unit

Uses

SysUtils,  Windows,  Messages,  Classes,  Graphics,  Controls, Forms,  Dialogs,  StdCtrls,  Menus, Printers, AHMSControls

See also

Units Overview

Classes and Components

  TAHMPrinterCombo


AHMTRealSpinEdit Unit

Uses

Windows,  Menus,  Messages,  SysUtils,  Classes,  Graphics, Controls,  Forms,  Dialogs,  StdCtrls, AHMTLookupEdit, AHMSControls

See also

Units Overview

Classes and Components

  TAHMRealSpinEdit


AHMTSpinEdit Unit

Uses

Windows,  Messages,  SysUtils,  Classes,  Graphics,  Controls,  Forms,  Dialogs, Stdctrls, AHMSControls

See also

Units Overview

Types, Records and Events

  TAHMButtonState

Classes and Components

  TAHMCustomSpinEdit

  TAHMSpinButtonState

  TAHMSpinButton

  TAHMSpinEdit


AHMTStickyLabel Unit

Uses

Classes, StdCtrls, Controls, Messages, Forms, Windows, AHMSControls

See also

Units Overview

Types, Records and Events

  TAHMPosition

Classes and Components

  TAHMStickyLabel


AHMSControls Unit

Uses

 Windows,  Classes

See also

Units Overview


TAHMVersionRes Type

Unit

AHMTVersionLabel

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMVersionRes = (VerCompanyName,  VerFileDescription,  VerFileVersion, VerInternalName, VerLegalCopyright,  VerOriginalFilename,  VerProductName,  VerProductVersion,  VerComments,  VerFlags);

Description

Type that indicates the type of version information that will be displayed.


Properties & Events

  VersionRes

  VersionResKey

  InfoPrefix

  ShowInfoPrefix

  LangCharset


TAHMVersionLabel Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMVersionLabel Component

Properties & Events	Example

Unit

AHMTVersionLabel

See also

Overview of all Classes and Components

Declaration

TAHMVersionLabel = Class(TLabel)

Description

Component that will display all version related information as found in the application. To enter this information into the application use the Project/Options Dialog in the registry.


VersionRes Property

Unit

AHMTVersionLabel

See also

Overview of all Types, Records and Events

Declaration

Property VersionRes: TAHMVersionRes

Referenced by

TAHMVersionLabel

Description

Property that allows you to select the type of information that will be displayed on the label.


VersionResKey Property

Unit

AHMTVersionLabel

See also

Overview of all Types, Records and Events

Declaration

Property VersionResKey: String

Referenced by

TAHMVersionLabel

Description

For Version resources that are not physically located and hardcoded within the projects options you can retrieve them using another way.

Identify the language character set you are using and store it in the LangCharset Property.

Identify the name of the new resoure and store it in the VersionResKey Property.

Now compile and test your program. The Language Character set should be a key like : 040904E4 .


InfoPrefix Property

Unit

AHMTVersionLabel

See also

Overview of all Types, Records and Events

Declaration

Property InfoPrefix: String

Referenced by

TAHMVersionLabel

Description

The part of the label that will be prefixed. Use this part to identify the types naming convention in your language to the user.


ShowInfoPrefix Property

Unit

AHMTVersionLabel

See also

Overview of all Types, Records and Events

Declaration

Property ShowInfoPrefix: Boolean

Referenced by

TAHMVersionLabel

Description

If disabled the Infoprefix Label is not going to display.


LangCharset Property

Unit

AHMTVersionLabel

See also

Overview of all Types, Records and Events

Declaration

Property LangCharset: String

Referenced by

TAHMVersionLabel

Description

For Version resources that are not physically located and hardcoded within the projects options you can retrieve them using another way.

Identify the language character set you are using and store it in the LangCharset Property.

Identify the name of the new resoure and store it in the VersionResKey Property.

Now compile and test your program. The Language Character set should be a key like : 040904E4 .


TAHMState Type

Unit

AHMTAnimator

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMState = (SOpen, SClosed, SBusy);

Description

Indicates the state this property has selected.


Properties & Events

  Filename

  Center

  Transparent

  PlayFrom

  PlayTo

  Cycles

  Action

  AutoAnimate


Methods

OpenResource

OpenAVIFile


TAHMAnimator Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMAnimator Component

Properties & Events	Methods	Example

Unit

AHMTAnimator

See also

Overview of all Classes and Components

Declaration

TAHMAnimator = Class(TWinControl)

Description

Component to play avi files from within your application. Please ensure that avi files are in your path when distributing your application.


OpenResource Procedure

Unit

AHMTAnimator

Declaration

Procedure OpenResource(ResID: Longint);

Description :

Procedure to open a specific resource.


OpenAVIFile Procedure

Unit

AHMTAnimator

Declaration

Procedure OpenAVIFile(Filename: String);

Description :

Opens a specific Avifile from a certain path in runtime.


Filename Property

Unit

AHMTAnimator

See also

Overview of all Types, Records and Events

Declaration

Property Filename: String

Referenced by

TAHMAnimator

Description

Property to specify an Avifile in designtime. Make sure that the path is correct when distributing your application.


Center Property

Unit

AHMTAnimator

See also

Overview of all Types, Records and Events

Declaration

Property Center: Boolean

Referenced by

TAHMAnimator

Description

Places the Avi in the center of your control.


Transparent Property

Unit

AHMTAnimator

See also

Overview of all Types, Records and Events

Declaration

Property Transparent: Boolean

Referenced by

TAHMAnimator

Description

Makes the background of the Avi transparent.


PlayFrom Property

Unit

AHMTAnimator

See also

Overview of all Types, Records and Events

Declaration

Property PlayFrom: Smallint

Referenced by

TAHMAnimator

Description

Plays from a certain position in the Avi.


PlayTo Property

Unit

AHMTAnimator

See also

Overview of all Types, Records and Events

Declaration

Property PlayTo: Smallint

Referenced by

TAHMAnimator

Description

Plays to a certain position in the avifile.


Cycles Property

Unit

AHMTAnimator

See also

Overview of all Types, Records and Events

Declaration

Property Cycles: Smallint

Referenced by

TAHMAnimator

Description

Cycles the Avifile.


Action Property

Unit

AHMTAnimator

See also

Overview of all Types, Records and Events

Declaration

Property Action: TAHMState

Referenced by

TAHMAnimator

Description

Indicates the State the Avi is in.


AutoAnimate Property

Unit

AHMTAnimator

See also

Overview of all Types, Records and Events

Declaration

Property AutoAnimate: Boolean

Referenced by

TAHMAnimator

Description

If enabled will automatically start animation.


TAHMRootKey Type

Unit

AHMTAutoStores

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMRootKey = (HkeyClassesRoot, HkeyCurrentUser, HkeyLocalMachine, HkeyUsers, HkeyCurrentConfig,  HkeyDynData);

Description

The enumerated value must contain any of the above to specify which area the registry uses as its root.


TAHMDatatype Type

Unit

AHMTAutoStores

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMDatatype = (SRegistry, SIniFile);

Description

Type of datasource to use to store the required values.


Properties & Events

Rootkey

Path

Section


TAHMRegistry Class

Properties & Events

Unit

AHMTAutoStores

See also

Overview of all Classes and Components

Declaration

TAHMRegistry = Class(TPersistent)

Description

Class that configures the datasource as an interface to the registry.


Rootkey Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property Rootkey : TAHMRootKey

Referenced by

TAHMRegistry

Description

Property that specifies which Rootkey to use when accessing the registry as a datasource.


Path Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property Path : String

Referenced by

TAHMRegistry

Description

The path in the registry under the current key eg. software/company/application


Section Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property Section : String

Referenced by

TAHMRegistry

Description

Specifies the section in the registry the following read and write operations are going to use.


Properties & Events

Filename

Section


TAHMIniFile Class

Properties & Events

Unit

AHMTAutoStores

See also

Overview of all Classes and Components

Declaration

TAHMIniFile = Class(TPersistent)

Description

Class that configures the datasource as Inifile.


Filename Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property Filename : String

Referenced by

TAHMIniFile

Description

Name of the inifile where the information is stored to.


Section Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property Section : String

Referenced by

TAHMIniFile

Description

Specifies the section in the Inifile the following read and write operations are going to use.


Properties & Events

ErrorInt

ErrorStr

ErrorBool

OnError

Enabled

Datatype

Registry

Inifile


TAHMDataStore Class

Properties & Events

Unit

AHMTAutoStores

See also

Overview of all Classes and Components

Declaration

TAHMDataStore = Class(TPersistent)

Description

Class that configures the datasource to which to write to or read from to obtain the required values. This class will act as the wrapper around both, the inifile and the registry, in order to validate, manage and retrieve values that are stored.


ErrorInt Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property ErrorInt : Integer

Referenced by

TAHMDataStore

Description

Set this value to the integer value that you want to get returned if an error occurs reading or writing integers to the datasource.


ErrorStr Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property ErrorStr : String

Referenced by

TAHMDataStore

Description

Set this value to the string value that  you want to get returned should an error occur reading or writing to or from this datasource.


ErrorBool Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property ErrorBool : Boolean

Referenced by

TAHMDataStore

Description

Set this value to the return value that you want to receive if an error occurs reading or writing to this datasource.


OnError Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property OnError : TNotifyevent

Referenced by

TAHMDataStore

Description

Event that triggers when an error occurs while writing to the Datasource.


Enabled Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property Enabled : Boolean

Referenced by

TAHMDataStore

Description

If enabled information is stored and retrieved from this datasource. If not enabled the reading and writing to and from the datasource is ignored.


Datatype Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property Datatype : TAHMDatatype

Referenced by

TAHMDataStore

Description

The data store type of the saving information. Please have a look at TAHMDatatype for more details.


Registry Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property Registry : TAHMRegistry

Referenced by

TAHMDataStore

Description

Class that stores information about the configuration of the registry as a datasource.


Inifile Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property Inifile : TAHMIniFile

Referenced by

TAHMDataStore

Description

Class that configures the setting for the use of an Inifile as Datasource. See TAHMIniFile for more information.


Properties & Events

  OnError

  DataStore


Methods

ReadStr

ReadInt

ReadBool

ReadCrypt

WriteCrypt

ReadStrs

WriteStr

WriteInt

WriteBool

DeleteKey

Erase


TAHMControlStore Component

Properties & Events	Methods

Unit

AHMTAutoStores

See also

Overview of all Classes and Components

Declaration

TAHMControlStore = Class(TComponent)

Description

Component that is a wrapper around the Inifiles and registry to give the user an easy way to read and write information to either one of the datasources. This component will act as the datasource for all Components that have automatic storing of values enabled.


ReadStr Function

Unit

AHMTAutoStores

Declaration

Function ReadStr (Key : String) : String;

Description :

Function that will read a string value from the specified datasource.


ReadInt Function

Unit

AHMTAutoStores

Declaration

Function ReadInt (Key : String) : Integer;

Description :

Function that will read a integer value from the specified datasource.


ReadBool Function

Unit

AHMTAutoStores

Declaration

Function ReadBool (Key : String) : Boolean;

Description :

Function that will read a integer value from the specified datasource.


ReadCrypt Function

Unit

AHMTAutoStores

Declaration

Function ReadCrypt (Key : String) : String;

Description :

Function that will read an encrypted value from the datasource and return the actual value.


WriteCrypt Procedure

Unit

AHMTAutoStores

Declaration

Procedure WriteCrypt(Key : String;Value : String);

Description :

This function will write a value to the default datasource which will stored it encryted so it can not be identified.


ReadStrs Procedure

Unit

AHMTAutoStores

Declaration

Procedure ReadStrs(Var Values :TStringList);

Description :

Function that will read all values from the specified datasource.


WriteStr Procedure

Unit

AHMTAutoStores

Declaration

Procedure WriteStr (Key : String;Value : String);

Description :

Function that will write a value to the specified datasource.


WriteInt Procedure

Unit

AHMTAutoStores

Declaration

Procedure WriteInt (Key : String;Value : Integer);

Description :

Function that will write a value to the specified datasource.


WriteBool Procedure

Unit

AHMTAutoStores

Declaration

Procedure WriteBool (Key : String;Value : Boolean);

Description :

Function that will write a value to the specified datasource.


DeleteKey Procedure

Unit

AHMTAutoStores

Declaration

Procedure DeleteKey(Key : String);

Description :

Procedure used to delete a certain key from the registry.


Erase Procedure

Unit

AHMTAutoStores

Declaration

Procedure Erase;

Description :

This function will erase a whole section. The section erased is the section currently configured in the section property.


OnError Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property OnError : TNotifyevent

Referenced by

TAHMControlStore

Description

Event that triggers when an error occurs while writing to the datasource.


DataStore Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property DataStore : TAHMDataStore

Referenced by

TAHMControlStore

Description

The class interface that supplies specifics about the registry or the inifile. Please have a look at TAHMDataStore for more information.


Properties & Events

  Store

  StoreKey


TAHMStoreEdit Component Example

Example

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMStoreEdit Component

Properties & Events	Example

Unit

AHMTAutoStores

See also

Overview of all Classes and Components

Declaration

TAHMStoreEdit = Class(TEdit)

Description

Component that will automatically save its current values into the registry or an Inifile. Simply drop it on and use it just like you would any other component of this type. Link in the TAHMControlStore Component that is responsible for the configuration, saving and restoring of values. Sepcify a Key for the unique storage identifier.


Store Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property Store : TAHMControlStore

Referenced by

TAHMStoreEdit

Description

Property that identifies the TAHMControlStore.


StoreKey Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property StoreKey : String

Referenced by

TAHMStoreEdit

Description

Property that uniquly identifies the storage key.


Properties & Events

  Store

  StoreKey


TAHMStoreCheckbox Component Example

Example

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMStoreCheckbox Component

Properties & Events	Example

Unit

AHMTAutoStores

See also

Overview of all Classes and Components

Declaration

TAHMStoreCheckbox = Class(TCheckbox)

Description

Component that will automatically save its current values into the registry or an Inifile. Simply drop it on and use it just like you would any other component of this type. Link in the TAHMControlStore Component that is responsible for the configuration, saving and restoring of values. Sepcify a Key for the unique storage identifier.


Store Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property Store : TAHMControlStore

Referenced by

TAHMStoreCheckbox

Description

Property that identifies the TAHMControlStore.


StoreKey Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property StoreKey : String

Referenced by

TAHMStoreCheckbox

Description

Property that uniquly identifies the storage key.


Properties & Events

  Store

  StoreKey


TAHMStoreRadioButton Component Example

Example

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMStoreRadioButton Component

Properties & Events	Example

Unit

AHMTAutoStores

See also

Overview of all Classes and Components

Declaration

TAHMStoreRadioButton = Class(TRadiobutton)

Description

Component that will automatically save its current values into the registry or an Inifile. Simply drop it on and use it just like you would any other component of this type. Link in the TAHMControlStore Component that is responsible for the configuration, saving and restoring of values. Sepcify a Key for the unique storage identifier.


Store Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property Store : TAHMControlStore

Referenced by

TAHMStoreRadioButton

Description

Property that identifies the TAHMControlstore.


StoreKey Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property StoreKey : String

Referenced by

TAHMStoreRadioButton

Description

Property that identifies the storage key.


Properties & Events

  Store

  StoreKey


TAHMStoreCombobox Component Example

Example

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMStoreCombobox Component

Properties & Events	Example

Unit

AHMTAutoStores

See also

Overview of all Classes and Components

Declaration

TAHMStoreCombobox = Class(TCombobox)

Description

Component that will automatically save its current values into the registry or an Inifile. Simply drop it on and use it just like you would any other component of this type. Link in the TAHMControlStore Component that is responsible for the configuration, saving and restoring of values. Sepcify a Key for the unique storage identifier.


Store Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property Store : TAHMControlStore

Referenced by

TAHMStoreCombobox

Description

Property that identifies the TAHMControlStore.


StoreKey Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property StoreKey : String

Referenced by

TAHMStoreCombobox

Description

Property that uniquly identifies the storage key.


Properties & Events

  Store

  StoreKey


TAHMStoreMemo Component Example

Example

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMStoreMemo Component

Properties & Events	Example

Unit

AHMTAutoStores

See also

Overview of all Classes and Components

Declaration

TAHMStoreMemo = Class(TRichedit)

Description

Component that will automatically save its current values into the registry or an Inifile. Simply drop it on and use it just like you would any other component of this type. Link in the TAHMControlStore Component that is responsible for the configuration, saving and restoring of values. Sepcify a Key for the unique storage identifier.


Store Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property Store : TAHMControlStore

Referenced by

TAHMStoreMemo

Description

Property that identifies the TAHMControlStore.


StoreKey Property

Unit

AHMTAutoStores

See also

Overview of all Types, Records and Events

Declaration

Property StoreKey : String

Referenced by

TAHMStoreMemo

Description

Property that identifies the storage key.


TAHMClipFormat Type

Unit

AHMTClipboard

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMClipFormat = (FDefault,  FEmpty,  FUnknown,  FText,  FBitmap, FMetafile,  FOemText,  FPicture,  FComponent,  FIcon);

Description

Indicates in runtime what type of format the Clipboard contents is.


Properties & Events

ClipboardFormat


TAHMClipboard Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMClipboard Component

Properties & Events	Example

Unit

AHMTClipboard

See also

Overview of all Classes and Components

Declaration

TAHMClipboard = Class(TScrollBox)

Description

This component displays the contents of the clipboard. There are problems in designtime sometimes where it does not display this contents for some unknown reason, however I have found nothing wrong with it in runtime.


ClipboardFormat Property

Unit

AHMTClipboard

See also

Overview of all Types, Records and Events

Declaration

Property ClipboardFormat[Index: Integer]: String

Referenced by

TAHMClipboard

Description

Property that holds the information on the format of the clipboard contents.


TAHMOnSelectColor Event Type

Unit

AHMTColorCombo

See also

Overview of all Types, Records and Events

Declaration

TAHMOnSelectColor = Procedure(Sender : TObject;Index : Integer;Var Color : TColor;Var ColorName : String) Of Object;

Description

Event that triggers when a new color has been selected.


Properties & Events

SelectedColorName

  ColorSelected

  ColorDisplayWidth

  OnSelectColor


TAHMColorCombo Component Example

Example

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMColorCombo Component

Properties & Events	Example

Unit

AHMTColorCombo

See also

Overview of all Classes and Components

Declaration

TAHMColorCombo = Class(TCustomCombobox)

Description

Combobox that displays colors to be selected.


SelectedColorName Property

Unit

AHMTColorCombo

See also

Overview of all Types, Records and Events

Declaration

Property SelectedColorName : String

Referenced by

TAHMColorCombo

Description

Property that contains the name of the selected color and returns a string.


ColorSelected Property

Unit

AHMTColorCombo

See also

Overview of all Types, Records and Events

Declaration

Property ColorSelected : TColor

Referenced by

TAHMColorCombo

Description

Property that contains the selected color and returns a color.


ColorDisplayWidth Property

Unit

AHMTColorCombo

See also

Overview of all Types, Records and Events

Declaration

Property ColorDisplayWidth : Integer

Referenced by

TAHMColorCombo

Description

Width of the color in the combo.


OnSelectColor Property

Unit

AHMTColorCombo

See also

Overview of all Types, Records and Events

Declaration

Property OnSelectColor : TAHMOnSelectColor

Referenced by

TAHMColorCombo

Description

Event that triggers whenever a new color is being selected.


TAHMColorEntry Record Type

Procedure

AHMTColorCombo

See also

Types, Variables and Constants Overview

Declaration

TAHMColorEntry = Record

  Value: TColor;

  Name: String;

End;

Description

Class that defines the default colors in the colorcombo.


TAHMCommand Type

Unit

AHMTCommandLabel

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMCommand=(RunNothing, RunMAIL, RunURL, RunFTP, RunFILE, RunEVENT);

Description

Decribes the type of command to run.

eg. If property has value of RunFile you can specify any File on your system and it will run this File when the User clicks the Label.


Properties & Events

  Command

  FollowedColor

  MoveOverColor

  RunEvent


TAHMCommandLabel Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMCommandLabel Component

Properties & Events	Example

Unit

AHMTCommandLabel

See also

Overview of all Classes and Components

Declaration

TAHMCommandLabel = Class(TLabel)

Description

Component that executes a certain command when clicking onto the caption. This Label works just like any link on webpages. It will also automatically detect when you move over it and change color after it has been clicked until the user restarts your application.


Command Property

Unit

AHMTCommandLabel

See also

Overview of all Types, Records and Events

Declaration

Property Command : TAHMCommand

Referenced by

TAHMCommandLabel

Description

The type of command to execute. eg. When running a url then specify the url in the caption and change this property to the URL command type.


FollowedColor Property

Unit

AHMTCommandLabel

See also

Overview of all Types, Records and Events

Declaration

Property FollowedColor : TColor

Referenced by

TAHMCommandLabel

Description

Color the label should change to after the user has clicked it.


MoveOverColor Property

Unit

AHMTCommandLabel

See also

Overview of all Types, Records and Events

Declaration

Property MoveOverColor : TColor

Referenced by

TAHMCommandLabel

Description

Color the label should change to when the User moves over it.


RunEvent Property

Unit

AHMTCommandLabel

See also

Overview of all Types, Records and Events

Declaration

Property RunEvent : TNotifyevent

Referenced by

TAHMCommandLabel

Description

Triggers when the user wants to run an event and has changed the Command to the event command type.


TAHMImportExportEvent Event Type

Unit

AHMTDBAscii

See also

Overview of all Types, Records and Events

Declaration

TAHMImportExportEvent = Procedure(Sender: TObject;RecordText : String) Of Object;

Description

Import and Export event type that will notify the application of the respective event occurred in the TAHMDBAscii Component.


Properties & Events

Owner

DataField

Header


Methods

Create


TAHMADField Class

Properties & Events	Methods

Unit

AHMTDBAscii

See also

Overview of all Classes and Components

Declaration

TAHMADField = Class(TCollectionItem)

Description

Class of the TAHMDbAscii specifying a field to be exported/imported.


Create Procedure

Unit

AHMTDBAscii

Declaration

Constructor Create(Collection: TCollection); Override;

Description :

Constructs the Class / Component


Owner Property

Unit

AHMTDBAscii

See also

Overview of all Types, Records and Events

Declaration

Property Owner : TAHMDBAscii

Referenced by

TAHMADField

Description

Returns then owner of the Field


DataField Property

Unit

AHMTDBAscii

See also

Overview of all Types, Records and Events

Declaration

Property DataField: String

Referenced by

TAHMADField

Description

Returns the name of the datafield.


Header Property

Unit

AHMTDBAscii

See also

Overview of all Types, Records and Events

Declaration

Property Header : String

Referenced by

TAHMADField

Description

The header of the dbfield as it will be printed to the export file. Use this property to keep track of fieldnames as they are exported and imported across the different data warehouses.


Properties & Events

Items


Methods

Add

Delete


TAHMADFields Class

Properties & Events	Methods

Unit

AHMTDBAscii

See also

Overview of all Classes and Components

Declaration

TAHMADFields = Class(TCollection)

Description

Collection of all fields of the component that will export/import data from and to a CSV File.


Add Function

Unit

AHMTDBAscii

Declaration

Function Add: TAHMADField;

Description :

Adds a field to be exported / imported.


Delete Procedure

Unit

AHMTDBAscii

Declaration

Procedure Delete(Index : Integer);

Description :

Deletes a certain field identified by its index.


Items Property

Unit

AHMTDBAscii

See also

Overview of all Types, Records and Events

Declaration

Property Items[Index: Integer]: TAHMADField

Referenced by

TAHMADFields

Description

List of Fields and property that provides access to each field in runtime.


Properties & Events

DataLink

  Fields

  Delimiter

  Filename

  FixedWidth

  DataSource

  PrintHeader

  ImportBeforePost

  ImportBeforeInsert

  OnImportException

  OnImportSuccess

  ExportBeforeWrite

  OnExportDone


Methods

InsertAllFields

DoExport

DoImport


TAHMDBAscii Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMDBAscii Component

Properties & Events	Methods	Example

Unit

AHMTDBAscii

See also

Overview of all Classes and Components

Declaration

TAHMDBAscii = Class(TComponent)

Description

Component that can be used to export / import data from and to a CSV File.


DataLink Property

Unit

AHMTDBAscii

See also

Overview of all Types, Records and Events

Declaration

Property DataLink : TFieldDataLink

Referenced by

TAHMDBAscii

Description

Datalink of the Component to the Database. Do not access this property yourself.


InsertAllFields Function

Unit

AHMTDBAscii

Declaration

Function InsertAllFields : Boolean;

Description :

Function that will automatically add all fields that exist on the current datasource to the TAHMDBAscii Component.


DoExport Procedure

Unit

AHMTDBAscii

Declaration

Procedure DoExport;

Description :

Procedure that will start the export of all fields added to the collection.


DoImport Procedure

Unit

AHMTDBAscii

Declaration

Procedure DoImport;

Description :

Procedure that will start the import of all fields added to the collection.


Fields Property

Unit

AHMTDBAscii

See also

Overview of all Types, Records and Events

Declaration

Property Fields: TAHMADFields

Referenced by

TAHMDBAscii

Description

Property that contains all fields to be exported / imported.


Delimiter Property

Unit

AHMTDBAscii

See also

Overview of all Types, Records and Events

Declaration

Property Delimiter : Char

Referenced by

TAHMDBAscii

Description

Delimiter to use for exporting / importing the data in between the values of the different fields.


Filename Property

Unit

AHMTDBAscii

See also

Overview of all Types, Records and Events

Declaration

Property Filename : String

Referenced by

TAHMDBAscii

Description

Name of the CSV File to export to or from.


FixedWidth Property

Unit

AHMTDBAscii

See also

Overview of all Types, Records and Events

Declaration

Property FixedWidth : Boolean

Referenced by

TAHMDBAscii

Description

When this property is set to true the component will automatically use a fixed field width when exporting to a file.


DataSource Property

Unit

AHMTDBAscii

See also

Overview of all Types, Records and Events

Declaration

Property DataSource: TDataSource

Referenced by

TAHMDBAscii

Description

Datasource for the data of this component.


PrintHeader Property

Unit

AHMTDBAscii

See also

Overview of all Types, Records and Events

Declaration

Property PrintHeader : Boolean

Referenced by

TAHMDBAscii

Description

When enabled will read or write Fieldnames first.


ImportBeforePost Property

Unit

AHMTDBAscii

See also

Overview of all Types, Records and Events

Declaration

Property ImportBeforePost : TAHMImportExportEvent

Referenced by

TAHMDBAscii

Description

Triggers before the data will be posted when importing data. Use this event to create values for fields that are not part of the import file.


ImportBeforeInsert Property

Unit

AHMTDBAscii

See also

Overview of all Types, Records and Events

Declaration

Property ImportBeforeInsert : TAHMImportExportEvent

Referenced by

TAHMDBAscii

Description

Triggers before the data gets inserted. This is where you would do your validation on the correctness of the data.


OnImportException Property

Unit

AHMTDBAscii

See also

Overview of all Types, Records and Events

Declaration

Property OnImportException : TAHMImportExportEvent

Referenced by

TAHMDBAscii

Description

Triggers whenever an exception occurs while importing data.


OnImportSuccess Property

Unit

AHMTDBAscii

See also

Overview of all Types, Records and Events

Declaration

Property OnImportSuccess : TAHMImportExportEvent

Referenced by

TAHMDBAscii

Description

Triggers after the import was successful.


ExportBeforeWrite Property

Unit

AHMTDBAscii

See also

Overview of all Types, Records and Events

Declaration

Property ExportBeforeWrite : TAHMImportExportEvent

Referenced by

TAHMDBAscii

Description

Triggers before data is written to the CSV File.


OnExportDone Property

Unit

AHMTDBAscii

See also

Overview of all Types, Records and Events

Declaration

Property OnExportDone : TNotifyEvent

Referenced by

TAHMDBAscii

Description

Event that triggers when the export is done.


TAHMDBCommand Type

Unit

AHMTDBCommandLabel

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMDBCommand=(RunNothing, RunMAIL, RunURL, RunFTP, RunFILE, RunEVENT);

Description

Type of entry that is being displayed. The onclick event will depend strongly on the value that is configured here.


Properties & Events

  Command

  FollowedColor

  MoveOverColor

  RunEvent


TAHMDBCommandLabel Component Example

Example

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMDBCommandLabel Component

Properties & Events	Example

Unit

AHMTDBCommandLabel

See also

Overview of all Classes and Components

Declaration

TAHMDBCommandLabel = Class(TDBText)

Description

Data-aware version of the TAHMCommandLabel component. Use this component when displaying e-mail addresses, urls or similar items from a database.


Command Property

Unit

AHMTDBCommandLabel

See also

Overview of all Types, Records and Events

Declaration

Property Command : TAHMDBCommand

Referenced by

TAHMDBCommandLabel

Description

Type of entry that is being displayed. The onclick event will depend strongly on the value that is configured here.


FollowedColor Property

Unit

AHMTDBCommandLabel

See also

Overview of all Types, Records and Events

Declaration

Property FollowedColor : TColor

Referenced by

TAHMDBCommandLabel

Description

The color of the text once a link has been followed.


MoveOverColor Property

Unit

AHMTDBCommandLabel

See also

Overview of all Types, Records and Events

Declaration

Property MoveOverColor : TColor

Referenced by

TAHMDBCommandLabel

Description

The color of a link when the mouse moves over it.


RunEvent Property

Unit

AHMTDBCommandLabel

See also

Overview of all Types, Records and Events

Declaration

Property RunEvent : TNotifyevent

Referenced by

TAHMDBCommandLabel

Description

Event that triggers when the link is being followed.


TAHMDBDisplayType Type

Unit

AHMTDBIndexLookup

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMDBDisplayType = (DtDisplayLabel, DtFieldName, DtIndexName);

Description

Selects on how to display the Name of the Field.


TAHMIndexDataLink Component Example

Example

Full Examples of the Components are provided in the Installation Directory of the Components.


TAHMIndexDataLink Component

Example

Unit

AHMTDBIndexLookup

See also

Overview of all Classes and Components

Declaration

TAHMIndexDataLink = Class(TDataLink)

Description

Class that provides information for the DBIndexLookup.


Properties & Events

  DataSource

  NoIndexItemName

  NoIndexEnabled

  DisplayType


TAHMDBIndexLookup Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMDBIndexLookup Component

Properties & Events	Example

Unit

AHMTDBIndexLookup

See also

Overview of all Classes and Components

Declaration

TAHMDBIndexLookup = Class(TCustomComboBox)

Description

Component that lets the enduser change the index of the current table by selecting the available indexes from a dropdown box.


DataSource Property

Unit

AHMTDBIndexLookup

See also

Overview of all Types, Records and Events

Declaration

Property DataSource: TDataSource

Referenced by

TAHMDBIndexLookup

Description

Datasource for the Data-aware Component.


NoIndexItemName Property

Unit

AHMTDBIndexLookup

See also

Overview of all Types, Records and Events

Declaration

Property NoIndexItemName: String

Referenced by

TAHMDBIndexLookup

Description

Supply a name for a blank index.


NoIndexEnabled Property

Unit

AHMTDBIndexLookup

See also

Overview of all Types, Records and Events

Declaration

Property NoIndexEnabled: Boolean

Referenced by

TAHMDBIndexLookup

Description

If enabled the dropdown will supply the user with the choice of changíng the index to no index.


DisplayType Property

Unit

AHMTDBIndexLookup

See also

Overview of all Types, Records and Events

Declaration

Property DisplayType: TAHMDBDisplayType

Referenced by

TAHMDBIndexLookup

Description

The type of name to use for the dropdown items.


Properties & Events

  DataField

  DataSource

  ReadonlyClickable


TAHMDBLookupedit Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMDBLookupedit Component

Properties & Events	Example

Unit

AHMTDBLookupEdit

See also

Overview of all Classes and Components

Declaration

TAHMDBLookupedit = Class(TAHMCustomLookupEdit)

Description

Data-aware version of the Lookup Component.


DataField Property

Unit

AHMTDBLookupEdit

See also

Overview of all Types, Records and Events

Declaration

Property DataField: String

Referenced by

TAHMDBLookupedit

Description

Datafield to be displayed.


DataSource Property

Unit

AHMTDBLookupEdit

See also

Overview of all Types, Records and Events

Declaration

Property DataSource: TDataSource

Referenced by

TAHMDBLookupedit

Description

Datasource for the component.


ReadonlyClickable Property

Unit

AHMTDBLookupEdit

See also

Overview of all Types, Records and Events

Declaration

Property ReadonlyClickable: Boolean

Referenced by

TAHMDBLookupedit

Description

If set to true the edit is readonly but the user can still click the button.


TAHMDBOfficeEdit Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMDBOfficeEdit Component

Example

Unit

AHMTDBOfficeEdit

See also

Overview of all Classes and Components

Declaration

TAHMDBOfficeEdit = Class(TDBEdit)

Description

Component that creates an editbox similar to the ones seen in MS Office 97. All other functionality is the same as that of a normal TDBEdit.


Properties & Events

  ArrowColor

  ButtonColor

  CutandPaste

  LineSize

  MaxValue

  MinValue

  MultipleLineSize

  Value


TAHMDBCustomSpinEdit Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


TAHMDBCustomSpinEdit Component

Properties & Events	Example

Unit

AHMTDBSpinEdit

See also

Overview of all Classes and Components

Declaration

TAHMDBCustomSpinEdit = Class(TDBEdit)

Description

Custom Spin Edit Component which is the anchestor of the AHMDBSpinEdit Component.


ArrowColor Property

Unit

AHMTDBSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property ArrowColor : TColor

Referenced by

TAHMDBCustomSpinEdit

Description

Specifies the color of the arrows on the button.


ButtonColor Property

Unit

AHMTDBSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property ButtonColor : TColor

Referenced by

TAHMDBCustomSpinEdit

Description

Specifies the color of the button.


CutandPaste Property

Unit

AHMTDBSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property CutandPaste: Boolean

Referenced by

TAHMDBCustomSpinEdit

Description

Set it to true to enable cutandpaste from the edit control.


LineSize Property

Unit

AHMTDBSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property LineSize:LongInt Index 2

Referenced by

TAHMDBCustomSpinEdit

Description

Specifies the LineSize.


MaxValue Property

Unit

AHMTDBSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property MaxValue:LongInt Index 0

Referenced by

TAHMDBCustomSpinEdit

Description

The settings of this property indicate the maximum value the spinedit can spin to.


MinValue Property

Unit

AHMTDBSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property MinValue:LongInt Index 1

Referenced by

TAHMDBCustomSpinEdit

Description

The settings of this property indicate the minimum value the spinedit can spin to.


MultipleLineSize Property

Unit

AHMTDBSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property MultipleLineSize:LongInt Index 3

Referenced by

TAHMDBCustomSpinEdit

Description

Specifies the number of Lines.


Value Property

Unit

AHMTDBSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property Value:LongInt

Referenced by

TAHMDBCustomSpinEdit

Description

Read and write the current value of the spindedit from here.


TAHMDBSpinEdit Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMDBSpinEdit Component

Example

Unit

AHMTDBSpinEdit

See also

Overview of all Classes and Components

Declaration

TAHMDBSpinEdit = Class(TAHMDBCustomSpinEdit)

Description

Data-aware version of the Spinedit component.


TAHMPosition Type

Unit

AHMTDBStickyLabel

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMPosition = (PLeft, PRight, PTop, PBottom);

Description

Displays and sets the position of the object.


Properties & Events

  Position

  AttachToControl

  Space


TAHMDBStickyLabel Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMDBStickyLabel Component

Properties & Events	Example

Unit

AHMTDBStickyLabel

See also

Overview of all Classes and Components

Declaration

TAHMDBStickyLabel = Class(TDBText)

Description

Data-aware version of the Stickylabel.


Position Property

Unit

AHMTDBStickyLabel

See also

Overview of all Types, Records and Events

Declaration

Property Position: TAHMPosition

Referenced by

TAHMDBStickyLabel

Description

Position of the Label on the control it is attached to.


AttachToControl Property

Unit

AHMTDBStickyLabel

See also

Overview of all Types, Records and Events

Declaration

Property AttachToControl: TWinControl

Referenced by

TAHMDBStickyLabel

Description

Specifies the control this label is attached to.


Space Property

Unit

AHMTDBStickyLabel

See also

Overview of all Types, Records and Events

Declaration

Property Space : Integer

Referenced by

TAHMDBStickyLabel

Description

Width of the space between the label and the control.


TAHMAddFileEvent Event Type

Unit

AHMTExplorerTree

See also

Overview of all Types, Records and Events

Declaration

TAHMAddFileEvent = Procedure (Sender : TObject ; FileName : String ; Var DoAdd : Boolean) Of Object;

Description

Event that will trigger when a certain file is being added to the tree.


TAHMFindDirectoryEvent Event Type

Unit

AHMTExplorerTree

See also

Overview of all Types, Records and Events

Declaration

TAHMFindDirectoryEvent =Procedure(Sender : TObject;Path : String;Var Result : Integer;Const First : Boolean) Of Object;

Description

Event that will trigger when a specific directory has been located.


Properties & Events

Drive

DragDropFolder

ShellIcons

  Directory

  OnAddDirectory

  OnDeleteItem

  OnGetIcon

  OnFindDirectory

  Network

  FastLoad


Methods

Reload

FullExpand

RenamePath

DeletePath

AddPath

ClearNode

GetNodeFromPath


TAHMExplorerTree Component Example

Example

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMExplorerTree Component

Properties & Events	Methods	Example

Unit

AHMTExplorerTree

See also

Overview of all Classes and Components

Declaration

TAHMExplorerTree = Class(TCustomTreeView)

Description

Component that allows you to have your own explorer type tree in your application.


Reload Procedure

Unit

AHMTExplorerTree

Declaration

Procedure Reload;

Description :

Refreshes all items in the tree. Use reload to ensure that all items that do currently exists on the drive do exist in the Treeview.


FullExpand Procedure

Unit

AHMTExplorerTree

Declaration

Procedure FullExpand;

Description

Expands all treeview items.


RenamePath Procedure

Unit

AHMTExplorerTree

Declaration

Procedure RenamePath(OldPath, NewPath : String);

Description

Renames the old path from to a new name.


DeletePath Procedure

Unit

AHMTExplorerTree

Declaration

Procedure DeletePath(PathName : String);

Description

Deletes the path specified in Pathname.


AddPath Procedure

Unit

AHMTExplorerTree

Declaration

Procedure AddPath(Path, Subdirectory : String);

Description :

Adds a new subdirectory under a specific Path.


ClearNode Procedure

Unit

AHMTExplorerTree

Declaration

Procedure ClearNode (Node:TTreeNode);

Description :

Clears a node but allows for the directories to remain.


GetNodeFromPath Function

Unit

AHMTExplorerTree

Declaration

Function GetNodeFromPath (Path : String):TTreeNode;

Description :

Retrieves a specific node from the Treeview based upon a directory name.


Drive Property

Unit

AHMTExplorerTree

See also

Overview of all Types, Records and Events

Declaration

Property Drive : Char

Referenced by

TAHMExplorerTree

Description

Set this property to change the drive the treeview is displaying the items for.


DragDropFolder Property

Unit

AHMTExplorerTree

See also

Overview of all Types, Records and Events

Declaration

Property DragDropFolder : String

Referenced by

TAHMExplorerTree

Description

Name of the folder that’s being dragged.


ShellIcons Property

Unit

AHMTExplorerTree

See also

Overview of all Types, Records and Events

Declaration

Property ShellIcons : TImageList

Referenced by

TAHMExplorerTree

Description

Interface to the images of the items on your harddisk.


Directory Property

Unit

AHMTExplorerTree

See also

Overview of all Types, Records and Events

Declaration

Property Directory : String

Referenced by

TAHMExplorerTree

Description

Pathname of the directory that is currently selected.


OnAddDirectory Property

Unit

AHMTExplorerTree

See also

Overview of all Types, Records and Events

Declaration

Property OnAddDirectory : TAHMAddFileEvent

Referenced by

TAHMExplorerTree

Description

Event that triggers when a specific directory is being added.


OnDeleteItem Property

Unit

AHMTExplorerTree

See also

Overview of all Types, Records and Events

Declaration

Property OnDeleteItem : TTVExpandedEvent

Referenced by

TAHMExplorerTree

Description

Event that triggers when a specific directory is being deleted.


OnGetIcon Property

Unit

AHMTExplorerTree

See also

Overview of all Types, Records and Events

Declaration

Property OnGetIcon : TTVExpandedEvent

Referenced by

TAHMExplorerTree

Description

Event that triggers when a specific directory is being retrieved.


OnFindDirectory Property

Unit

AHMTExplorerTree

See also

Overview of all Types, Records and Events

Declaration

Property OnFindDirectory : TAHMFindDirectoryEvent

Referenced by

TAHMExplorerTree

Description

Event that triggers when a directory has been located.


Network Property

Unit

AHMTExplorerTree

See also

Overview of all Types, Records and Events

Declaration

Property Network : Boolean

Referenced by

TAHMExplorerTree

Description

Set this property to disable networkdrives from being read.


FastLoad Property

Unit

AHMTExplorerTree

See also

Overview of all Types, Records and Events

Declaration

Property FastLoad : Boolean

Referenced by

TAHMExplorerTree

Description

Set this property to enhance the speed of the loading.


Properties & Events

  Directory

  FileName

  Filter

  CharCase

  OnSelectFile

  OnSelectDirectory


TAHMExplorerView Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMExplorerView Component

Properties & Events	Example

Unit

AHMTExplorerView

See also

Overview of all Classes and Components

Declaration

TAHMExplorerView = Class(TCustomListBox)

Description

Component that allows your application to contain your own type of Filelistbox as it is commenly used under Windows 95.


Directory Property

Unit

AHMTExplorerView

See also

Overview of all Types, Records and Events

Declaration

Property Directory: TFileName

Referenced by

TAHMExplorerView

Description

The name of the directory that is currenly visible in the control. Set this path to change to a new directory in runtime. Alternativly you can allow the enduser to change this path.


FileName Property

Unit

AHMTExplorerView

See also

Overview of all Types, Records and Events

Declaration

Property FileName: TFileName

Referenced by

TAHMExplorerView

Description

Name of the file that is currently selected in the Treeview.


Filter Property

Unit

AHMTExplorerView

See also

Overview of all Types, Records and Events

Declaration

Property Filter: String

Referenced by

TAHMExplorerView

Description

Set this property to allow only a certain filetype to display inside the control.


CharCase Property

Unit

AHMTExplorerView

See also

Overview of all Types, Records and Events

Declaration

Property CharCase: TEditCharCase

Referenced by

TAHMExplorerView

Description

Set this property to change the case of the files being displayed.


OnSelectFile Property

Unit

AHMTExplorerView

See also

Overview of all Types, Records and Events

Declaration

Property OnSelectFile: TNotifyEvent

Referenced by

TAHMExplorerView

Description

Event that triggers when a file is being selected by the user of your application.


OnSelectDirectory Property

Unit

AHMTExplorerView

See also

Overview of all Types, Records and Events

Declaration

Property OnSelectDirectory: TNotifyEvent

Referenced by

TAHMExplorerView

Description

Event that triggers when a directory is being selected by the user of your application.


Properties & Events

Drive

FileName

  Directory

  FileEdit

  FileType

  Mask

  OnChange


Methods

SetFilePath


TAHMFileCombo Component Example

Example

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMFileCombo Component

Properties & Events	Methods	Example

Unit

AHMTFileCtrls

See also

Overview of all Classes and Components

Declaration

TAHMFileCombo = Class(TCustomComboBox)

Description

Combobox that contains a list of all files in the current directory.


SetFilePath Procedure

Unit

AHMTFileCtrls

Declaration

Procedure SetFilePath (Const EditText: String); Virtual;

Description

Use this procedure to change the directory from which the files are being displayed.


Drive Property

Unit

AHMTFileCtrls

See also

Overview of all Types, Records and Events

Declaration

Property Drive: Char

Referenced by

TAHMFileCombo

Description

Use this property to change the drive from which the files are being displayed.


FileName Property

Unit

AHMTFileCtrls

See also

Overview of all Types, Records and Events

Declaration

Property FileName: String

Referenced by

TAHMFileCombo

Description

This property contains the name of the file that has been selected.


Directory Property

Unit

AHMTFileCtrls

See also

Overview of all Types, Records and Events

Declaration

Property Directory: String

Referenced by

TAHMFileCombo

Description

Use this property to change the directory from which the files are being read.


FileEdit Property

Unit

AHMTFileCtrls

See also

Overview of all Types, Records and Events

Declaration

Property FileEdit: TCustomEdit

Referenced by

TAHMFileCombo

Description

Use this property to link to an editbox that will reflect the filename automatically.


FileType Property

Unit

AHMTFileCtrls

See also

Overview of all Types, Records and Events

Declaration

Property FileType: TFileType

Referenced by

TAHMFileCombo

Description

Set this property to change the type of files that will be visible in the combobox.


Mask Property

Unit

AHMTFileCtrls

See also

Overview of all Types, Records and Events

Declaration

Property Mask: String

Referenced by

TAHMFileCombo

Description

Use this property to apply a certain mask to the files that are being displayed.


OnChange Property

Unit

AHMTFileCtrls

See also

Overview of all Types, Records and Events

Declaration

Property OnChange: TNotifyEvent

Referenced by

TAHMFileCombo

Description

Event that triggers when the file that is currently selected has changed.


TAHMFolderListbox Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMFolderListbox Component

Example

Unit

AHMTFileCtrls

See also

Overview of all Classes and Components

Declaration

TAHMFolderListbox = Class(TDirectoryListBox)

Description

Component that works and functions like a normal TDirectorylistbox but displays its items using windows 95 style images.


TAHMDriveCombo Component Example

Example

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMDriveCombo Component

Example

Unit

AHMTFileCtrls

See also

Overview of all Classes and Components

Declaration

TAHMDriveCombo = Class(TDriveComboBox)

Description

Component that allows you to change a drive from a list of drives.


Properties & Events

  Filename

  Separator


TAHMFileLabel Component Example

Example

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMFileLabel Component

Properties & Events	Example

Unit

AHMTFileLabel

See also

Overview of all Classes and Components

Declaration

TAHMFileLabel = Class(TCustomLabel)

Description

Component that displays the filename, path and image all together on one label. This component will also automatically size the contents on the label based upon the space on the screen.


Filename Property

Unit

AHMTFileLabel

See also

Overview of all Types, Records and Events

Declaration

Property Filename : String

Referenced by

TAHMFileLabel

Description

Filename to display.


Separator Property

Unit

AHMTFileLabel

See also

Overview of all Types, Records and Events

Declaration

Property Separator: Char

Referenced by

TAHMFileLabel

Description

Seperator to use as a specifier.


Properties & Events

  Options

  Title

  InitialDir

  Filename

  Filter

  DefaultExt


TAHMFileLookup Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMFileLookup Component

Properties & Events	Example

Unit

AHMTFileLookup

See also

Overview of all Classes and Components

Declaration

TAHMFileLookup = Class(TAHMCustomLookupEdit)

Description

Component that allows you to select a certain file from the HD and represent the filename inside the editbox.


Options Property

Unit

AHMTFileLookup

See also

Overview of all Types, Records and Events

Declaration

Property Options : TOpenOptions

Referenced by

TAHMFileLookup

Description

The available options to the opendialog component that will be triggered once the user presses the button to select a file.


Title Property

Unit

AHMTFileLookup

See also

Overview of all Types, Records and Events

Declaration

Property Title : String

Referenced by

TAHMFileLookup

Description

The title of the Opendialog window that will be triggered.


InitialDir Property

Unit

AHMTFileLookup

See also

Overview of all Types, Records and Events

Declaration

Property InitialDir : String

Referenced by

TAHMFileLookup

Description

The initial directory of the opendialog window that will be triggered.


Filename Property

Unit

AHMTFileLookup

See also

Overview of all Types, Records and Events

Declaration

Property Filename : String

Referenced by

TAHMFileLookup

Description

The name of the currently selected file.


Filter Property

Unit

AHMTFileLookup

See also

Overview of all Types, Records and Events

Declaration

Property Filter : String

Referenced by

TAHMFileLookup

Description

The filter that will be applied when selecting a new file.


DefaultExt Property

Unit

AHMTFileLookup

See also

Overview of all Types, Records and Events

Declaration

Property DefaultExt : String

Referenced by

TAHMFileLookup

Description

The default extension that will be visible to the user in the opendialog window.


TAHMPathChange Event Type

Unit

AHMTFolderLookup

See also

Overview of all Types, Records and Events

Declaration

TAHMPathChange = Procedure (Sender : TObject; OldPath, NewPath : String) Of Object;

Description

Event that triggers when the path is being changed from within the component.


TAHMRoots Type

Unit

AHMTFolderLookup

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMRoots=(CsidlDesktop, CsidlDesktopExpanded, CsidlPrograms, CsidlControlPanel, CsidlPrinters, CsidlPersonal, CsidlFavorites, CsidlStartup, CsidlRecent, CsidlSendto, CsidlRecycleBin, CsidlStartMenu, CsidlDesktopDirectory, CsidlMyComputer,  CsidlNetwork, CsidlNetworkNeighborhood, CsidlFonts, CsidlTemplates);

Description

The type of system folders that you can choose from to enable its child folders to display for selection.


TAHMInfoFlags Type

Unit

AHMTFolderLookup

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMInfoFlags=(FileSystemDirsOnly, DontGoBelowDomain, StatusText, FileSystemAncestors, LookupForComputer, LookupForPrinter, DisplayPath);

Description

The options available to the component. Change these properties to change how the component will act and display.


TAHMInfoFlagSet Type

Unit

AHMTFolderLookup

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMInfoFlagSet=Set Of TAHMInfoFlags;

Description

Set of TAHMInfoFlags


Properties & Events

DisplayName

ParentHandle

DialogHandle

  LookupCaption

  LookupFlags

  LookupRoot

  BeforeLookup

  AfterLookup

  OnPathChanged


TAHMFolderLookup Component Example

Example

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMFolderLookup Component

Properties & Events	Example

Unit

AHMTFolderLookup

See also

Overview of all Classes and Components

Declaration

TAHMFolderLookup = Class(TAHMCustomLookupEdit)

Description

Edit component that will help with the easy selection of paths.


DisplayName Property

Unit

AHMTFolderLookup

See also

Overview of all Types, Records and Events

Declaration

Property DisplayName: String

Referenced by

TAHMFolderLookup

Description

Name of the folder that is being displayed.


ParentHandle Property

Unit

AHMTFolderLookup

See also

Overview of all Types, Records and Events

Declaration

Property ParentHandle: HWnd

Referenced by

TAHMFolderLookup

Description

Handle of the parent window.


DialogHandle Property

Unit

AHMTFolderLookup

See also

Overview of all Types, Records and Events

Declaration

Property DialogHandle: HWnd

Referenced by

TAHMFolderLookup

Description

Handle of the dialog.


LookupCaption Property

Unit

AHMTFolderLookup

See also

Overview of all Types, Records and Events

Declaration

Property LookupCaption: String

Referenced by

TAHMFolderLookup

Description

Caption of the dialog that will be displayed for easy browsing.


LookupFlags Property

Unit

AHMTFolderLookup

See also

Overview of all Types, Records and Events

Declaration

Property LookupFlags: TAHMInfoFlagSet

Referenced by

TAHMFolderLookup

Description

Flags that will be used for configuring the way the dialog acts and displays.


LookupRoot Property

Unit

AHMTFolderLookup

See also

Overview of all Types, Records and Events

Declaration

Property LookupRoot : TAHMRoots

Referenced by

TAHMFolderLookup

Description

Use this property to indicate the type of folder that will act as the root in the selection dialog. Only folders beneath the root will be visible to the user.


BeforeLookup Property

Unit

AHMTFolderLookup

See also

Overview of all Types, Records and Events

Declaration

Property BeforeLookup : TNotifyevent

Referenced by

TAHMFolderLookup

Description

Event that triggers when the lookup is called but it has not displayed yet.


AfterLookup Property

Unit

AHMTFolderLookup

See also

Overview of all Types, Records and Events

Declaration

Property AfterLookup : TNotifyEvent

Referenced by

TAHMFolderLookup

Description

Event that triggers when the lookup is called and has already displayed.


OnPathChanged Property

Unit

AHMTFolderLookup

See also

Overview of all Types, Records and Events

Declaration

Property OnPathChanged : TAHMPathChange

Referenced by

TAHMFolderLookup

Description

Event that triggers when the path is changing during the process of selection.


TAHMFontTypes Type

Unit

AHMTFontControls

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMFontTypes = (PS,  TTF,  RASTER,  Other);

Description

The different font types that are available to the user.


TAHMFontBits Type

Unit

AHMTFontControls

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMFontBits = Array [0..3] Of TBitmap;

Description

The different Bitmap types that are used internally for the displaying of the items.


TAHMFilterOption Type

Unit

AHMTFontControls

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMFilterOption = (ShowTrueType, ShowPostScript, ShowRaster, ShowOther);

Description

The different type of fonts that the user is allowed to select from.


TAHMFilterOptions Type

Unit

AHMTFontControls

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMFilterOptions = Set Of TAHMFilterOption;

Description

Set of font types for user selection.


TAHMOnFontValidate Event Type

Unit

AHMTFontControls

See also

Overview of all Types, Records and Events

Declaration

TAHMOnFontValidate = Procedure (Sender: TObject; Font: TAHMFontClass; Var Accept:Boolean) Of Object;

Description

Event type that will trigger when the user selects a new font and the font is being validated.


Properties & Events

  FilterOptions

  OnValidateFont

  FontSelected


TAHMFontBox Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMFontBox Component

Properties & Events	Example

Unit

AHMTFontControls

See also

Overview of all Classes and Components

Declaration

TAHMFontBox = Class(TCustomListBox)

Description

Component that allows the user to select fonts from within a listbox.


FilterOptions Property

Unit

AHMTFontControls

See also

Overview of all Types, Records and Events

Declaration

Property FilterOptions: TAHMFilterOptions

Referenced by

TAHMFontBox

Description

The options available for configuring the behaviour of the listbox.


OnValidateFont Property

Unit

AHMTFontControls

See also

Overview of all Types, Records and Events

Declaration

Property OnValidateFont:TAHMOnFontValidate

Referenced by

TAHMFontBox

Description

Event that triggers when a font is being selected and is being validated.


FontSelected Property

Unit

AHMTFontControls

See also

Overview of all Types, Records and Events

Declaration

Property FontSelected : String

Referenced by

TAHMFontBox

Description

The name of the selected font.


Properties & Events

  FilterOptions

  OnValidateFont

  FontSelected


TAHMFontCombo Component Example

Example

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMFontCombo Component

Properties & Events	Example

Unit

AHMTFontControls

See also

Overview of all Classes and Components

Declaration

TAHMFontCombo = Class(TCustomComboBox)

Description

Component that configures a combobox for looking up upon any font available.


FilterOptions Property

Unit

AHMTFontControls

See also

Overview of all Types, Records and Events

Declaration

Property FilterOptions: TAHMFilterOptions

Referenced by

TAHMFontCombo

Description

The options available for the selection of the fonts. These options will specify when and which fonts will be displayed for selection.


OnValidateFont Property

Unit

AHMTFontControls

See also

Overview of all Types, Records and Events

Declaration

Property OnValidateFont:TAHMOnFontValidate

Referenced by

TAHMFontCombo

Description

Event that triggers when a font is being selected and is being validated.


FontSelected Property

Unit

AHMTFontControls

See also

Overview of all Types, Records and Events

Declaration

Property FontSelected : String

Referenced by

TAHMFontCombo

Description

Name of the selected font.


TAHMDivBorder Type

Unit

AHMTFormDivider

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMDivBorder = (BdrSunken, BdrRaised, BdrEtched, FrmSunken, FrmRaised, FrmEtched);

Description

Type of border that the form divider will display.


Properties & Events

  AlignWidth

  BorderStyle

  SideSpace


TAHMFormDivider Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMFormDivider Component

Properties & Events	Example

Unit

AHMTFormDivider

See also

Overview of all Classes and Components

Declaration

TAHMFormDivider = Class(TCustomLabel)

Description

Component that displays a divider on your form. Similar to languages like UNIFACE this component enables you to display dividers which contain captions on your form.


AlignWidth Property

Unit

AHMTFormDivider

See also

Overview of all Types, Records and Events

Declaration

Property AlignWidth : Boolean

Referenced by

TAHMFormDivider

Description

The width of the aligned control.


BorderStyle Property

Unit

AHMTFormDivider

See also

Overview of all Types, Records and Events

Declaration

Property BorderStyle : TAHMDivBorder

Referenced by

TAHMFormDivider

Description

The border style of the control.


SideSpace Property

Unit

AHMTFormDivider

See also

Overview of all Types, Records and Events

Declaration

Property SideSpace : Integer

Referenced by

TAHMFormDivider

Description

The space from the parent controls borders to the start of the divider.


Properties & Events

  IconIndex

  Icon

  FileName

  NumberOfIcons

  OnFileChange


TAHMIconCombo Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMIconCombo Component

Properties & Events	Example

Unit

AHMTIconCtrls

See also

Overview of all Classes and Components

Declaration

TAHMIconCombo = Class(TCustomComboBox)

Description

Combobox for easy selection of Icons from another application or a dll. You can also use this component to extract icons from another application.


IconIndex Property

Unit

AHMTIconCtrls

See also

Overview of all Types, Records and Events

Declaration

Property IconIndex : Integer

Referenced by

TAHMIconCombo

Description

The index of the icon in the application or dynamic library.


Icon Property

Unit

AHMTIconCtrls

See also

Overview of all Types, Records and Events

Declaration

Property Icon : TIcon

Referenced by

TAHMIconCombo

Description

The icon that has been extracted and is currently selected in the control.


FileName Property

Unit

AHMTIconCtrls

See also

Overview of all Types, Records and Events

Declaration

Property FileName: String

Referenced by

TAHMIconCombo

Description

The name of the file that contains the icons for extraction.


NumberOfIcons Property

Unit

AHMTIconCtrls

See also

Overview of all Types, Records and Events

Declaration

Property NumberOfIcons: Integer

Referenced by

TAHMIconCombo

Description

The number of icons that have been located in the currently configured file.


OnFileChange Property

Unit

AHMTIconCtrls

See also

Overview of all Types, Records and Events

Declaration

Property OnFileChange: TNotifyEvent

Referenced by

TAHMIconCombo

Description

Event that will trigger when the file has changed.


Properties & Events

  IconIndex

  Icon

  FileName

  NumberOfIcons

  XIcons

  YIcons

  OnFileChange

  OnChange


TAHMIconListbox Component Example

Example

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMIconListbox Component

Properties & Events	Example

Unit

AHMTIconCtrls

See also

Overview of all Classes and Components

Declaration

TAHMIconListbox = Class(TCustomListBox)

Description

Component that will display all icons that are stored in other applications and/or DLL’s.


IconIndex Property

Unit

AHMTIconCtrls

See also

Overview of all Types, Records and Events

Declaration

Property IconIndex : Integer

Referenced by

TAHMIconListbox

Description

The index of the currently selected icon.


Icon Property

Unit

AHMTIconCtrls

See also

Overview of all Types, Records and Events

Declaration

Property Icon : TIcon

Referenced by

TAHMIconListbox

Description

The icon that has been extracted and is currently selected in this control.


FileName Property

Unit

AHMTIconCtrls

See also

Overview of all Types, Records and Events

Declaration

Property FileName: String

Referenced by

TAHMIconListbox

Description

The path and name of the file that contains the icons that are being represented in the control.

Set this property to another filename to view the icons contained in the other file.


NumberOfIcons Property

Unit

AHMTIconCtrls

See also

Overview of all Types, Records and Events

Declaration

Property NumberOfIcons: Integer

Referenced by

TAHMIconListbox

Description

The number of icons that were last located in the file.


XIcons Property

Unit

AHMTIconCtrls

See also

Overview of all Types, Records and Events

Declaration

Property XIcons: Integer

Referenced by

TAHMIconListbox

Description

The number of icons that will be displayed vertically in the listbox.


YIcons Property

Unit

AHMTIconCtrls

See also

Overview of all Types, Records and Events

Declaration

Property YIcons: Integer

Referenced by

TAHMIconListbox

Description

The number of icons that will be displayed horizontally in the listbox.


OnFileChange Property

Unit

AHMTIconCtrls

See also

Overview of all Types, Records and Events

Declaration

Property OnFileChange: TNotifyEvent

Referenced by

TAHMIconListbox

Description

Event that triggers when the active file is being changed and new icons are being extracted from a new file.


OnChange Property

Unit

AHMTIconCtrls

See also

Overview of all Types, Records and Events

Declaration

Property OnChange: TNotifyEvent

Referenced by

TAHMIconListbox

Description

Event that triggers when the selection changes.


TROInfo Type

Unit

AHMTInformationLabel

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TROInfo = String;

Description

Readonly string type for properties.


TAHMInformation Type

Unit

AHMTInformationLabel

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMInformation = (IOrganisationName, IOwnerName, IProgramFilesDir, ISystemRoot, IProcessorType, IPlatformName,  IPlatformVersion, IBuildNumber, ITotalPhysicalMemory, ICurrentDiskSize, IScreenHeight, IScreenWidth,  IUserName, IComputerName, IMemoryLoad, IAvailablePhysicalMemory, IUsedPhysicalMemory, INumLock,  ICapsLock, IScrollLock, ICurrentDiskFree, ICurrentTime, ICurrentDate, ISwapFileSettings, ISwapFileSize,  ISwapFileUsage);

Description

Indicate what type of information you are requesting.

0   - IOrganisationName - Name of your Organisation as setup in Windows

1   - IOwnerName - Name of the Owner of this version of windows

2   - IProgramFilesDir - Location of Program Files on your Harddisk

3   - ISystemRoot - Location of System Files from the Windows Directory  eg. C:\Windows\System

4   - IProcessorType -  type of processor installed on this machine

5   - IPlatformName - Name of the platform under which this is running

6   - IPlatformVersion - Version of this Platform

7   - IBuildNumber - Number of this Platform Build

8   - ITotalPhysicalMemory - Total amount of Physical Memory

9   - ICurrentDiskSize - Size of the current Disk

10 - IScreenHeight - Height of the screen

11 - IScreenWidth - Width of the screen

12 - IUserName - Your current Username

13 - IComputerName - Your current computername

14 - IMemoryLoad - Amount of Memory Load

15 - IAvailablePhysicalMemory - Total amount of available physical memory

16 - IUsedPhysicalMemory - Total amount of physical memory

17 - INumLock - Numlock on/off

18 - ICapsLock - CapsLock on/off

19 - IScrollLock - Scrollock on/off

20 - ICurrentDiskFree - Free space on the current disk

21 - ICurrentTime - time

22 - ICurrentDate - Date

23 - ISwapFileSettings - Settings of the swapfile

24 - ISwapFileSize - Total size of swapfile

25 - ISwapFileUsage - Total size of swapfile used


Properties & Events

  InfoType

  CaptionValue

  CaptionLabel


Methods

UpdateInfo


TAHMInformationLabel Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMInformationLabel Component

Properties & Events	Methods	Example

Unit

AHMTInformationLabel

See also

Overview of all Classes and Components

Declaration

TAHMInformationLabel = Class(TLabel)

Description

Label Component that will display certain information on the Label. Please remember that for certain properties you will have to use a timer to refresh the label in certain interval.


UpdateInfo Procedure

Unit

AHMTInformationLabel

Declaration

Procedure UpdateInfo;

Description :

Updates the information on the label. Call this procedure when having attached a timer.


InfoType Property

Unit

AHMTInformationLabel

See also

Overview of all Types, Records and Events

Declaration

Property InfoType : TAHMInformation

Referenced by

TAHMInformationLabel

Description

Type of information to display.


CaptionValue Property

Unit

AHMTInformationLabel

See also

Overview of all Types, Records and Events

Declaration

Property CaptionValue : TROInfo

Referenced by

TAHMInformationLabel

Description

Value part of the Caption


CaptionLabel Property

Unit

AHMTInformationLabel

See also

Overview of all Types, Records and Events

Declaration

Property CaptionLabel : String

Referenced by

TAHMInformationLabel

Description

Label part of the caption.


Properties & Events

LangID

LangIdAsString


TAHMLanguageCombo Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMLanguageCombo Component

Properties & Events	Example

Unit

AHMTLanguageCombo

See also

Overview of all Classes and Components

Declaration

TAHMLanguageCombo = Class(TCustomComboBox)

Description

Component that displays a list of languages currently available on the system for selection.


LangID Property

Unit

AHMTLanguageCombo

See also

Overview of all Types, Records and Events

Declaration

Property LangID: Word

Referenced by

TAHMLanguageCombo

Description

The ID of the currently selected Language.


LangIdAsString Property

Unit

AHMTLanguageCombo

See also

Overview of all Types, Records and Events

Declaration

Property LangIdAsString: String

Referenced by

TAHMLanguageCombo

Description

The name of the language that is currently selected.


Properties & Events

EditButton2

EditButton1

Alignment

OnButton2Click

OnButton1Click


TAHMCustomLookupEdit Component Example

Example

Full Examples of the Components are provided in the Installation Directory of the Components.


TAHMCustomLookupEdit Component

Properties & Events	Example

Unit

AHMTLookupEdit

See also

Overview of all Classes and Components

Declaration

TAHMCustomLookupEdit = Class(TCustomMaskEdit)

Description

Custom Lookup edit component. Anchestor for the Lookupedits.


EditButton2 Property

Unit

AHMTLookupEdit

See also

Overview of all Types, Records and Events

Declaration

Property EditButton2 : TAHMButtonClass

Referenced by

TAHMCustomLookupEdit

Description

Interface to the second button available to lookup edits.


EditButton1 Property

Unit

AHMTLookupEdit

See also

Overview of all Types, Records and Events

Declaration

Property EditButton1 : TAHMButtonClass

Referenced by

TAHMCustomLookupEdit

Description

Interface to the first button available to lookup edits.


Alignment Property

Unit

AHMTLookupEdit

See also

Overview of all Types, Records and Events

Declaration

Property Alignment: TAlignment

Referenced by

TAHMCustomLookupEdit

Description

Aligment of the controls text.


OnButton2Click Property

Unit

AHMTLookupEdit

See also

Overview of all Types, Records and Events

Declaration

Property OnButton2Click: TNotifyEvent

Referenced by

TAHMCustomLookupEdit

Description

Event that triggers when the second button has been pressed or clicked.


OnButton1Click Property

Unit

AHMTLookupEdit

See also

Overview of all Types, Records and Events

Declaration

Property OnButton1Click: TNotifyEvent

Referenced by

TAHMCustomLookupEdit

Description

Event that triggers when the first button has been pressed or clicked.


TAHMLookupEdit Component Example

Example

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMLookupEdit Component

Example

Unit

AHMTLookupEdit

See also

Overview of all Classes and Components

Declaration

TAHMLookupEdit = Class(TAHMCustomLookupEdit)

Description

A component that connects a edit component with a button. This component will allow you to implement lookups very easy.


Properties & Events

Caption

Visible

Enabled

Hint

ShowHint

NumGlyphs

Glyph

ShortCutKey


TAHMButtonClass Class

Properties & Events

Unit

AHMTLookupEdit

See also

Overview of all Classes and Components

Declaration

TAHMButtonClass = Class(TPersistent)

Description

The buttonclass used for the first and second button available to lookup-edits.


Caption Property

Unit

AHMTLookupEdit

See also

Overview of all Types, Records and Events

Declaration

Property Caption : String

Referenced by

TAHMButtonClass

Description

The caption of this button.


Visible Property

Unit

AHMTLookupEdit

See also

Overview of all Types, Records and Events

Declaration

Property Visible : Boolean

Referenced by

TAHMButtonClass

Description

Set this property to false to hide this button from the control.


Enabled Property

Unit

AHMTLookupEdit

See also

Overview of all Types, Records and Events

Declaration

Property Enabled : Boolean

Referenced by

TAHMButtonClass

Description

Set this property to false to disable this button in the control.


Hint Property

Unit

AHMTLookupEdit

See also

Overview of all Types, Records and Events

Declaration

Property Hint : String

Referenced by

TAHMButtonClass

Description

The hint that will be displayed to the user when the mouse is over the button in the control.


ShowHint Property

Unit

AHMTLookupEdit

See also

Overview of all Types, Records and Events

Declaration

Property ShowHint : Boolean

Referenced by

TAHMButtonClass

Description

Enable/Disable the viewing of hints.


NumGlyphs Property

Unit

AHMTLookupEdit

See also

Overview of all Types, Records and Events

Declaration

Property NumGlyphs : Integer

Referenced by

TAHMButtonClass

Description

The number of glyphs stored in the bitmap selected for this control.


Glyph Property

Unit

AHMTLookupEdit

See also

Overview of all Types, Records and Events

Declaration

Property Glyph : TBitmap

Referenced by

TAHMButtonClass

Description

The glyphs that will be used for the button.


ShortCutKey Property

Unit

AHMTLookupEdit

See also

Overview of all Types, Records and Events

Declaration

Property ShortCutKey: TShortCut

Referenced by

TAHMButtonClass

Description

Use the shortcutkey to specific which keystroke will trigger the onclick event of the button.


Properties & Events

  NonSelected

  Items

  ItemChecked

  OnChange

  ItemIndex


TAHMLookupMenu Component Example

Example

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMLookupMenu Component

Properties & Events	Example

Unit

AHMTLookupMenu

See also

Overview of all Classes and Components

Declaration

TAHMLookupMenu = Class(TAHMCustomLookupEdit)

Description

Component that creates an easy selection menu for the control.


NonSelected Property

Unit

AHMTLookupMenu

See also

Overview of all Types, Records and Events

Declaration

Property NonSelected : String

Referenced by

TAHMLookupMenu

Description

Value that will be displayed when no item has been selected.


Items Property

Unit

AHMTLookupMenu

See also

Overview of all Types, Records and Events

Declaration

Property Items: TStrings

Referenced by

TAHMLookupMenu

Description

The items that will display on the menu for easy selection.


ItemChecked Property

Unit

AHMTLookupMenu

See also

Overview of all Types, Records and Events

Declaration

Property ItemChecked: Boolean

Referenced by

TAHMLookupMenu

Description

Returns true when the item that is currently selected is checked.


OnChange Property

Unit

AHMTLookupMenu

See also

Overview of all Types, Records and Events

Declaration

Property OnChange: TNotifyEvent

Referenced by

TAHMLookupMenu

Description

Event that triggers when a new item is selected.


ItemIndex Property

Unit

AHMTLookupMenu

See also

Overview of all Types, Records and Events

Declaration

Property ItemIndex: Integer

Referenced by

TAHMLookupMenu

Description

The index of the currently selected item.


TAHMOfficeEdit Component Example

Example

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMOfficeEdit Component

Example

Unit

AHMTOfficeEdit

See also

Overview of all Classes and Components

Declaration

TAHMOfficeEdit = Class(TCustomEdit)

Description

Microsoft Office 97 compatible widget for the editbox.


Properties & Events

SelectedPrinter


TAHMPrinterCombo Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMPrinterCombo Component

Properties & Events	Example

Unit

AHMTPrinterCombo

See also

Overview of all Classes and Components

Declaration

TAHMPrinterCombo = Class(TCustomCombobox)

Description

Component that will display a list of printers, that are currently available on the system,  to the enduser for easy selection.


SelectedPrinter Property

Unit

AHMTPrinterCombo

See also

Overview of all Types, Records and Events

Declaration

Property SelectedPrinter : String

Referenced by

TAHMPrinterCombo

Description

Name of the printer that is currently selected. Use the name to set the printer object in your application.


Properties & Events

AsCurrency

AsFloat

AsInteger

  StepSmall

  StepBig

  Alignment

  Decimals

  MaxValue

  MinValue

  Value

  OnInvalidEntry

  OnValidChange


TAHMRealSpinEdit Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMRealSpinEdit Component

Properties & Events	Example

Unit

AHMTRealSpinEdit

See also

Overview of all Classes and Components

Declaration

TAHMRealSpinEdit = Class(TAHMCustomLookupEdit)

Description

Component that allows you to increment and decrement real numbers easy.


AsCurrency Property

Unit

AHMTRealSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property AsCurrency: Currency

Referenced by

TAHMRealSpinEdit

Description

Property that returns the current value as currency.


AsFloat Property

Unit

AHMTRealSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property AsFloat: Double

Referenced by

TAHMRealSpinEdit

Description

Property that returns the current value as Float.


AsInteger Property

Unit

AHMTRealSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property AsInteger: Integer

Referenced by

TAHMRealSpinEdit

Description

Property that returns the current value as Integer.


StepSmall Property

Unit

AHMTRealSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property StepSmall : Double

Referenced by

TAHMRealSpinEdit

Description

The amount of steps taken when the user does one decrement/increment.


StepBig Property

Unit

AHMTRealSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property StepBig : Double

Referenced by

TAHMRealSpinEdit

Description

The amount of steps taken when the user does a big decrement/increment.


Alignment Property

Unit

AHMTRealSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property Alignment : TAlignment

Referenced by

TAHMRealSpinEdit

Description

The aligment of text on the control.


Decimals Property

Unit

AHMTRealSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property Decimals : ShortInt

Referenced by

TAHMRealSpinEdit

Description

The number of decimals the user is allowed to select.


MaxValue Property

Unit

AHMTRealSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property MaxValue : Double

Referenced by

TAHMRealSpinEdit

Description

The maximum value. If the control has no maximim value then set this property to 0;


MinValue Property

Unit

AHMTRealSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property MinValue : Double

Referenced by

TAHMRealSpinEdit

Description

The minimum value. If the control has no minimim value then set this property to 0;


Value Property

Unit

AHMTRealSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property Value : Double

Referenced by

TAHMRealSpinEdit

Description

The current value as float.


OnInvalidEntry Property

Unit

AHMTRealSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property OnInvalidEntry : TNotifyEvent

Referenced by

TAHMRealSpinEdit

Description

Event that triggers when the user has specified an incorrect value.


OnValidChange Property

Unit

AHMTRealSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property OnValidChange : TNotifyEvent

Referenced by

TAHMRealSpinEdit

Description

Event that triggers when a valid change of value has occurred.


TAHMButtonState Type

Unit

AHMTSpinEdit

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMButtonState = (BsUp,  BsTopDown,  BsBottomDown,  BsDisabled);

Description

Indicates the state in which the Button is in.


Properties & Events

  ButtonColor

  ArrowColor

  CutandPaste

  LineSize

  MaxValue

  MinValue

  MultipleLineSize

  Value


TAHMCustomSpinEdit Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


TAHMCustomSpinEdit Component

Properties & Events	Example

Unit

AHMTSpinEdit

See also

Overview of all Classes and Components

Declaration

TAHMCustomSpinEdit = Class(TCustomEdit)

Description

Anchestor for the TAHMSpinEdit Component.


ButtonColor Property

Unit

AHMTSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property ButtonColor : TColor

Referenced by

TAHMCustomSpinEdit

Description

Specifies the color of the button.


ArrowColor Property

Unit

AHMTSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property ArrowColor : TColor

Referenced by

TAHMCustomSpinEdit

Description

Specifies the color of the arrows on the button.


CutandPaste Property

Unit

AHMTSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property CutandPaste: Boolean

Referenced by

TAHMCustomSpinEdit

Description

Enables / Disables Cut and Paste functionality.


LineSize Property

Unit

AHMTSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property LineSize:LongInt Index 2

Referenced by

TAHMCustomSpinEdit

Description

Specifies the line size.


MaxValue Property

Unit

AHMTSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property MaxValue:LongInt Index 0

Referenced by

TAHMCustomSpinEdit

Description

Specifies the maximum value to spin to.


MinValue Property

Unit

AHMTSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property MinValue:LongInt Index 1

Referenced by

TAHMCustomSpinEdit

Description

Specifies the minimum value to spin to/from .


MultipleLineSize Property

Unit

AHMTSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property MultipleLineSize:LongInt Index 3

Referenced by

TAHMCustomSpinEdit

Description

Specifies the number of lines.


Value Property

Unit

AHMTSpinEdit

See also

Overview of all Types, Records and Events

Declaration

Property Value:LongInt

Referenced by

TAHMCustomSpinEdit

Description

Sets and returns the current  value.


TAHMSpinButtonState Type

Unit

AHMTSpinEdit

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMSpinButtonState = (SbUp,  SbTopDown,  SbBottomDown,  SbDisabled);

Description

Description not provided in this Version of the Help File Watch for Updates at http://www.global.co.za/~ahm


TAHMSpinButton Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMSpinButton Component

Example

Unit

AHMTSpinEdit

See also

Overview of all Classes and Components

Declaration

TAHMSpinButton = Class(TAHMCustomSpinButton)

Description

Spinbutton component that can be used to increase and decreases values in your application.


TAHMSpinEdit Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMSpinEdit Component

Example

Unit

AHMTSpinEdit

See also

Overview of all Classes and Components

Declaration

TAHMSpinEdit = Class(TAHMCustomSpinEdit)

Description

Spinedit component that provides you with an easy to use interface to increasing ot decreasing values in the application.


TAHMPosition Type

Unit

AHMTStickyLabel

Procedures and Functions Overview

Overview of all Types, Records and Events

Declaration

TAHMPosition = (PLeft, PRight, PTop, PBottom);

Description

Displays and sets the position of the object.


Properties & Events

  Position

  AttachToControl

  Space


TAHMStickyLabel Component Example

Example :

Full Examples of the Components are provided in the Installation Directory of the Components.


 TAHMStickyLabel Component

Properties & Events	Example

Unit

AHMTStickyLabel

See also

Overview of all Classes and Components

Declaration

TAHMStickyLabel = Class(TLabel)

Description

Label component that attaches itself to other controls.


Position Property

Unit

AHMTStickyLabel

See also

Overview of all Types, Records and Events

Declaration

Property Position: TAHMPosition

Referenced by

TAHMStickyLabel

Description

Position of the label on the control.


AttachToControl Property

Unit

AHMTStickyLabel

See also

Overview of all Types, Records and Events

Declaration

Property AttachToControl: TWinControl

Referenced by

TAHMStickyLabel

Description

Control to which the label will be attached.


Space Property

Unit

AHMTStickyLabel

See also

Overview of all Types, Records and Events

Declaration

Property Space : Integer

Referenced by

TAHMStickyLabel

Description

Space between the label and the control.